@ECHO OFF 
IF "%1" == "" GOTO ERROR
IF "%1" == "a" GOTO OKAY
IF "%1" == "A" GOTO OKAY
IF "%1" == "b" GOTO OKAY
IF "%1" == "B" GOTO OKAY
GOTO ERRORB
:OKAY
IF "%2." == "." GOTO A2400S1
GOTO %2
:A2400S1
SET DISKX="Server/Install Disk 1"
SET IMGX="A2400S1.IMG"
SET LAB=A2400S2
SET CRC=33A0
GOTO DISK
:A2400S2
SET DISKX="Server Disk 2"
SET IMGX="A2400S2.IMG"
SET LAB=A2400R1
SET CRC=B0D4
GOTO DISK
:A2400R1
SET DISKX="Requester Install/Disk 1"
SET IMGX="A2400R1.IMG"
SET LAB=A2400R2
SET CRC=8B28
GOTO DISK
:A2400R2
SET DISKX="Requester Disk 2"
SET IMGX="A2400R2.IMG"
SET LAB=A2400R3
SET CRC=BF18
GOTO DISK
:A2400R3
SET DISKX="Requester Disk 3"
SET IMGX="A2400R3.IMG"
SET LAB=A2400R4
SET CRC=C92A
GOTO DISK
:A2400R4
SET DISKX="Requester Disk 4"
SET IMGX="A2400R4.IMG"
SET LAB=A2400R5
SET CRC=614F
GOTO DISK
:A2400R5
SET DISKX="Requester Disk 5"
SET IMGX="A2400R5.IMG"
SET LAB=A2400N1
SET CRC=69F3
GOTO DISK
:A2400N1
SET DISKX="Anynet for OS/2 Disk 1"
SET IMGX="A2400N1.IMG"
SET LAB=A2400N2
SET CRC=2D35
GOTO DISK
:A2400N2
SET DISKX="Anynet for OS/2 Disk 2"
SET IMGX="A2400N2.IMG"
SET LAB=A2400N3
SET CRC=6A3A
GOTO DISK
:A2400N3
SET DISKX="Anynet for OS/2 Disk 3"
SET IMGX="A2400N3.IMG"
SET LAB=A2400P1
SET CRC=E6BE
GOTO DISK
:A2400P1
SET DISKX="Productivity Aids Disk 1"
SET IMGX="A2400P1.IMG"
SET LAB=A2400P2
SET CRC=988F
GOTO DISK
:A2400P2
SET DISKX="Productivity Aids Disk 2"
SET IMGX="A2400P2.IMG"
SET LAB=A2400P3
SET CRC=3DA8
GOTO DISK
:A2400P3
SET DISKX="Productivity Aids Disk 3"
SET IMGX="A2400P3.IMG"
SET LAB=A2400L1
SET CRC=0855
GOTO DISK
:A2400L1
SET DISKX="LAN Support Program Disk"
SET IMGX="A2400L1.IMG"
SET LAB=A2400D1
SET CRC=3A65
GOTO DISK
:A2400D1
SET DISKX="IBM DOS LAN Services Disk1"
SET IMGX="A2400D1.IMG"
SET LAB=A2400D2
SET CRC=0752
GOTO DISK
:A2400D2
SET DISKX="IBM DOS LAN Services Disk2"
SET IMGX="A2400D2.IMG"
SET LAB=A0400Q1
SET CRC=35A6
GOTO DISK
:A0400Q1
SET DISKX="LAN Server 4.0 Books Disk 1"
SET IMGX="A0400Q1.IMG"
SET LAB=A0400Q2
SET CRC=051D
GOTO DISK
:A0400Q2
SET DISKX="LAN Server 4.0 Books Disk 2"
SET IMGX="A0400Q2.IMG"
SET LAB=A0400Q3
SET CRC=C066
GOTO DISK
:A0400Q3
SET DISKX="LAN Server 4.0 Books Disk 3"
SET IMGX="A0400Q3.IMG"
SET LAB=PATCHES
SET CRC=B0C1
GOTO DISK
:PATCHES
SET DISKX="Patches"
SET IMGX="PATCHES.IMG"
SET LAB=END		
SET CRC=E25F
:DISK
ECHO -
ECHO -Insert a high density disk labeled %DISKX% 
ECHO -into drive "%1:"
PAUSE
ECHO -Creating diskette from image file %IMGX% . . .
EMT4OS2 %IMGX% %1:
IF ERRORLEVEL == 2 GOTO CRITERROR
ECHO .
ECHO -Diskette creation complete. Check CRC for value X'%CRC%'.
GOTO %LAB%
:ERRORB
ECHO WARNING!!!  The drive specified was not a diskette drive.
:ERROR
ECHO Type "LSPACKA X " where X is the drive where the BETA diskettes will be created.
GOTO END
:CRITERROR
ECHO ***************************************************
ECHO *  Please correct the error condition displayed   *
ECHO *  and press any key.                             *
ECHO ***************************************************
ECHO *  Press Ctrl+Break to EXIT                       *
ECHO ***************************************************
PAUSE
GOTO DISK
:END

                                                                                            